Retrieve gallery statistics
curl --request GET \
--url https://library-backend.dashsocial.com/brands/{brand_id}/galleries/{gallery_id}/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://library-backend.dashsocial.com/brands/{brand_id}/galleries/{gallery_id}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://library-backend.dashsocial.com/brands/{brand_id}/galleries/{gallery_id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brand_id": 123,
"name": "<string>",
"additional_stats": {},
"created_at": "2023-11-07T05:31:56Z",
"custom_content": {
"banner": {
"brand_media_type": "<string>",
"can_publish_within": {
"end": "<string>",
"start": "<string>"
},
"clicks": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"media": {
"source": "instagram",
"source_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"duration": "<unknown>",
"frame_rate": "<unknown>",
"id": 123,
"image_sizes": "<unknown>",
"media_group": 123,
"notes": "<string>",
"original_height": 123,
"original_width": 123,
"predictions": "<unknown>",
"source_created_at": "2026-04-10T14:57:59.977494",
"source_data": "<unknown>",
"tags": [
{
"brand_id": 123,
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"urls": "<unknown>",
"video_sizes": "<unknown>"
},
"order": 123,
"products": [
{
"archived": true,
"clicks": 123,
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": 123,
"image_url": "<string>",
"product_groups": [
{
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"image_url": "<string>",
"source_id": "<string>",
"title": "<string>",
"url": "<string>"
}
],
"product_overrides": [
{
"brand_id": 123,
"override": "<string>",
"source_id": "<string>",
"availability": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency_code": "<string>",
"description": "<string>",
"id": 123,
"image_url": "<string>",
"last_updated_by_product_feed_at": "2023-11-07T05:31:56Z",
"original_url": "<string>",
"price": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"source_id": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"x": 123,
"y": 123
}
],
"updated_at": "2023-11-07T05:31:56Z"
},
"pinned": [
{
"brand_media_type": "<string>",
"can_publish_within": {
"end": "<string>",
"start": "<string>"
},
"clicks": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"media": {
"source": "instagram",
"source_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"duration": "<unknown>",
"frame_rate": "<unknown>",
"id": 123,
"image_sizes": "<unknown>",
"media_group": 123,
"notes": "<string>",
"original_height": 123,
"original_width": 123,
"predictions": "<unknown>",
"source_created_at": "2026-04-10T14:57:59.977494",
"source_data": "<unknown>",
"tags": [
{
"brand_id": 123,
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"urls": "<unknown>",
"video_sizes": "<unknown>"
},
"order": 123,
"products": [
{
"archived": true,
"clicks": 123,
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": 123,
"image_url": "<string>",
"product_groups": [
{
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"image_url": "<string>",
"source_id": "<string>",
"title": "<string>",
"url": "<string>"
}
],
"product_overrides": [
{
"brand_id": 123,
"override": "<string>",
"source_id": "<string>",
"availability": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency_code": "<string>",
"description": "<string>",
"id": 123,
"image_url": "<string>",
"last_updated_by_product_feed_at": "2023-11-07T05:31:56Z",
"original_url": "<string>",
"price": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"source_id": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"x": 123,
"y": 123
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
]
},
"description": "<string>",
"extra_csv_data": null,
"fb_avg_effectiveness": 123,
"fb_avg_engagement_rate": 123,
"fb_avg_paid_and_organic_effectiveness_v2": 123,
"fb_avg_paid_and_organic_engagement_rate_v2": 123,
"fb_avg_paid_and_organic_reach_v2": 123,
"fb_avg_reach": 123,
"fb_total_engagements": 123,
"fb_total_impressions": 123,
"fb_total_paid_and_organic_engagements_v2": 123,
"fb_total_paid_and_organic_views": 123,
"gallery_distribution": {
"competitive_post_count": 123,
"owned_post_count": 123
},
"gallery_size": 123,
"gallery_stats_updated": "2023-11-07T05:31:56Z",
"gallery_type": "LIBRARY",
"id": 123,
"ig_story_avg_completion_rate": 123,
"ig_story_avg_completion_rate_views": 123,
"ig_story_avg_exit_rate": 123,
"ig_story_avg_exit_rate_views": 123,
"ig_story_avg_impressions": 123,
"ig_story_avg_reach": 123,
"ig_story_avg_views": 123,
"ig_story_narrative_time_range": {
"end": "2019-12-01T00:00:00+00:00",
"start": "2019-12-01T00:00:00+00:00"
},
"ig_story_swipe_ups": 123,
"ig_story_total_impressions": 123,
"ig_story_total_reach": 123,
"ig_story_total_replies": 123,
"ig_story_total_views": 123,
"instagram_avg_effectiveness": 123,
"instagram_avg_effectiveness_engagements": 123,
"instagram_avg_engagement": 123,
"instagram_avg_reach": 123,
"instagram_total_comments": 123,
"instagram_total_likes": 123,
"instagram_total_reach": 123,
"label": "<string>",
"latest_media": [
{
"image_url": "<string>"
}
],
"latest_media_published_at": "2023-11-07T05:31:56Z",
"library_total_clicks": 123,
"library_total_high_performing_photos": 123,
"library_total_low_performing_photos": 123,
"library_total_top_performing_photos": 123,
"library_total_views": 123,
"linkedin_avg_click_through_rate": 123,
"linkedin_avg_engagement_rate": 123,
"linkedin_avg_unique_impressions": 123,
"linkedin_total_impressions": 123,
"linkedin_total_likes": 123,
"live": 123,
"pinterest_avg_engagement_rate": 123,
"pinterest_total_clicks": 123,
"pinterest_total_closeups": 123,
"pinterest_total_comments": 123,
"pinterest_total_impressions": 123,
"pinterest_total_saves": 123,
"pinterest_total_video_views": 123,
"pinterest_total_visits": 123,
"settings": {},
"snapchat_avg_engagement_rate": 123,
"snapchat_avg_view_time": 123,
"snapchat_total_engagements": 123,
"snapchat_total_viewers": 123,
"snapchat_total_views": 123,
"spirit_gallery_enabled": 123,
"tags": [
{
"color": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"threads_avg_engagement_rate": 123,
"threads_total_engagements": 123,
"threads_total_likes": 123,
"threads_total_replies": 123,
"threads_total_views": 123,
"tiktok_avg_engagement_rate": 123,
"tiktok_avg_retention_rate": 123,
"tiktok_avg_video_views": 123,
"tiktok_total_reach": 123,
"tiktok_total_video_views": 123,
"twitter_avg_engagement_rate": 123,
"twitter_impressions": 123,
"twitter_likes": 123,
"twitter_retweets": 123,
"twitter_total_engagements": 123,
"updated_at": "2023-11-07T05:31:56Z",
"youtube_avg_view_duration": 123,
"youtube_subscribers": 123,
"youtube_total_engagements": 123,
"youtube_total_video_views": 123,
"youtube_total_watch_time": 123
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Gallery
Retrieve gallery statistics
Returns performance statistics for a gallery.
GET
/
brands
/
{brand_id}
/
galleries
/
{gallery_id}
/
stats
Retrieve gallery statistics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Dash Social assigned ID of the brand.
Required range:
x >= 0The ID of the gallery.
Required range:
x >= 0Response
OK
Maximum string length:
256Custom Gallery content such as banner or pinned media
Show child attributes
Show child attributes
Maximum string length:
2000Show child attributes
Show child attributes
Type of gallery.
Available options:
instagram, INSTAGRAM, instagram_likeshop, INSTAGRAM_LIKESHOP, pinterest, PINTEREST, library, LIBRARY, instagram_story, INSTAGRAM_STORY, instagram_story_narrative, INSTAGRAM_STORY_NARRATIVE, tiktok, TIKTOK, tiktok_likeshop, TIKTOK_LIKESHOP, facebook, FACEBOOK, twitter, TWITTER, youtube, YOUTUBE, linkedin, LINKEDIN, threads, THREADS, snapchat, SNAPCHAT Show child attributes
Show child attributes
Maximum string length:
256Show child attributes
Show child attributes
List of gallery tags.
Show child attributes
Show child attributes